# -*- encoding: UTF-8 -*-
import re
import sys

from winmentor import WinMentor, Mentorutils, check_list, file_open

gen_month = re.search('[0-9]{4}?_[0-9]{2}?', sys.argv[0])
exclude = [
    'ASIVP', 'ASOBS', 'CLEAN', 'ECOS', 'MEDFAC', 'MEDCOM',
    'COMELECT', 'DATAV', 'ECOPROT', 'JOART', 'CRH', 'RECYC', 'QCLINIC'
]

head = ['Denumire', 'CF', 'J', 'Adresa', 'Oras', 'Judet', 'Prescurtat', 'Admin', 'AdminP', 'RCNP', 'Obs']

my_headers = [
    'Denumire', 'CF', 'J', 'Adresa', 'Oras', 'Judet', 'Prescurtat',
    'Admin', 'AdminP', 'RCNP', 'Obs', 'TurnO', 'Result', 'divid',
    'divid_current', 'divid_intermed', 'divid_inter_current', 'spons', 'month'
]

mentor = WinMentor()
utils = Mentorutils()

office = mentor.filtered_firmlist(headers=head, ban=exclude)
utils.gen_turnover('turn_over', 'to', office, m_month=gen_month.group(), n_headers=my_headers)

# office = mentor.filtered_firmlist('/firme.db', headers=head, ban=exclude)
# utils.gen_tax_payable('taxes', 'tx', office, n_headers=['Denumire', 'CF', 'J', 'Adresa', 'Oras', 'Judet',
# 'Prescurtat', 'Obs', 'Vat', 'Tax', 'Ins', 'Sal_tax', 'Cam', 'month'])

# utils.gen_txt('/firme.db', 'lista_cf.txt', _attr_index=1)
# check_list('lista_cf.txt')
file_open('turn_over.xlsm')
# file_start('taxes')
